Main Page Class Hierarchy Data Structures File List Data Fields Globals

# PVAsyncErrorEvent Class Reference

`#include <pv_engine_observer_message.h>`

## Public Methods
| PVAsyncErrorEvent (PVEventType aEventType, PVExclusivePtr aEventData=NULL, uint8 *aLocalBuffer=NULL, int32 aLocalBufferSize=0)
| PVAsyncErrorEvent (PVEventType aEventType, OsclAny *aContext, PVInterface *aEventExtInterface, PVExclusivePtr aEventData=NULL, uint8 *aLocalBuffer=NULL, int32 aLocalBufferSize=0)
| ~PVAsyncErrorEvent ()
PVResponseType | GetResponseType () const
PVEventType | GetEventType () const
void | GetEventData (PVExclusivePtr &aPtr) const

## Detailed Description

PVAsyncErrorEvent Class

PVAsyncErrorEvent is used to pass unsolicited error indications to the user. Additional information can be tagged based on the specific event

## Constructor & Destructor Documentation

PVAsyncErrorEvent::PVAsyncErrorEvent | ( | PVEventType | aEventType,
|  | PVExclusivePtr | aEventData = NULL,
|  | uint8 * | aLocalBuffer = NULL,
|  | int32 | aLocalBufferSize = 0
| ) | `[inline]`

| Constructor for PVAsyncErrorEvent

PVAsyncErrorEvent::PVAsyncErrorEvent | ( | PVEventType | aEventType,
|  | OsclAny * | aContext,
|  | PVInterface * | aEventExtInterface,
|  | PVExclusivePtr | aEventData = NULL,
|  | uint8 * | aLocalBuffer = NULL,
|  | int32 | aLocalBufferSize = 0
| ) | `[inline]`

| Constructor with context and event extension interface

PVAsyncErrorEvent::~PVAsyncErrorEvent | ( |  | ) | `[inline]`

| Destructor

## Member Function Documentation

void PVAsyncErrorEvent::GetEventData | ( | PVExclusivePtr & | aPtr | ) | const`[inline]`

| Returns: Returns the opaque data asociated with the event.

PVEventType PVAsyncErrorEvent::GetEventType | ( |  | ) | const`[inline]`

| Returns: Returns the Event type that has been received

PVResponseType PVAsyncErrorEvent::GetResponseType | ( |  | ) | const`[inline]`

| WILL BE DEPRECATED SINCE IT IS NOT BEING USED. CURRENTLY RETURNING 0. Returns: Returns the type of Response we get

The documentation for this class was generated from the following file:

- pv_engine_observer_message.h